MADS (Model Analysis & Decision Support)
----------------------------------------

MADS is an integrated open-source high-performance computational (HPC) framework in [Julia](http://julialang.org).
MADS can execute a wide range of data- and model-based analyses:

* Sensitivity Analysis
* Parameter Estimation
* Model Inversion and Calibration
* Uncertainty Quantification
* Model Selection and Model Averaging
* Model Reduction and Surrogate Modeling
* Machine Learning and Blind Source Separation
* Decision Analysis and Support

MADS has been tested to perform HPC simulations on a wide-range multi-processor clusters and parallel environments (Moab, Slurm, etc.).
MADS utilizes adaptive rules and techniques which allows the analyses to be performed with a minimum user input.
The code provides a series of alternative algorithms to execute each type of data- and model-based analyses.

For additional information:

* web:
    - [mads.lanl.gov](http://mads.lanl.gov)
    - [madsc.lanl.gov](http://madsc.lanl.gov) (C version of MADS)
* documentation:
    - [readthedocs](`http://mads.readthedocs.org/en/latest/`)
    - [github](`http://madsjulia.github.io/Mads.jl`)
    - [madsjulia.lanl.gov](http://madsjulia.lanl.gov)
* repos:
    - [github](http://github.com/madsjulia/Mads.jl)
    - [gitlab](http://gitlab.com/mads/Mads.jl)
* git:
    - `git clone git@github.com:madsjulia/Mads.jl`
    - `git clone git@gitlab.com:mads/Mads.jl`
* email: [mads@lanl.gov](mailto:mads@lanl.gov)

Builds & Tests
--------------

**Mads Build & Test Status @ JuliaLang.org**

[![Mads](http://pkg.julialang.org/badges/Mads_0.5.svg)](http://pkg.julialang.org/?pkg=Mads&ver=0.5)

**Mads Build & Test Status @ Travis Continuous Integration (CI) service (OS X & linux)**

[![Travis Status](https://travis-ci.org/madsjulia/Mads.jl.svg?branch=master)](https://travis-ci.org/madsjulia/Mads.jl)

**Coverage of the Build-in Mads Tests**

[![Coverage Status](https://coveralls.io/repos/madsjulia/Mads.jl/badge.svg?branch=master)](https://coveralls.io/r/madsjulia/Mads.jl?branch=master)

LA-CC-15-080
